ChangeSet 1.1315.8.14, 2003/09/17 14:17:50-07:00, dan@reactivated.net

[PATCH] USB: Debug code fixes for vicam

When compiling vicam with debug info, a compile error occurs. I presume
this is because this part of the code has not been updated since the 2.4
kernels.  This patch fixes this.


 drivers/usb/media/vicam.c |    2 +-
 1 files changed, 1 insertion(+), 1 deletion(-)


diff -Nru a/drivers/usb/media/vicam.c b/drivers/usb/media/vicam.c
--- a/drivers/usb/media/vicam.c	Fri Sep 19 17:12:36 2003
+++ b/drivers/usb/media/vicam.c	Fri Sep 19 17:12:36 2003
@@ -1292,7 +1292,7 @@
 	interface = &intf->altsetting[0];
 
 	DBG(KERN_DEBUG "Interface %d. has %u. endpoints!\n",
-	       ifnum, (unsigned) (interface->desc.bNumEndpoints));
+	       interface->desc.bInterfaceNumber, (unsigned) (interface->desc.bNumEndpoints));
 	endpoint = &interface->endpoint[0].desc;
 
 	if ((endpoint->bEndpointAddress & 0x80) &&
